## org.apache.aries.subsystem.core.internal
Class PreferredProviderRepository

    java.lang.Object
      org.apache.aries.subsystem.core.internal.PreferredProviderRepository

All Implemented Interfaces:
  org.osgi.service.repository.Repository

    public class PreferredProviderRepository

extends Object
implements org.osgi.service.repository.Repository

Field Summary

Fields inherited from interface org.osgi.service.repository.Repository
`URL`

Constructor Summary
`PreferredProviderRepository(SubsystemResource resource)`

Method Summary
`Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>>` `findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferredProviderRepository

    public PreferredProviderRepository(SubsystemResource resource)

Method Detail

### findProviders

    public Map<org.osgi.resource.Requirement,Collection<org.osgi.resource.Capability>> findProviders(Collection<? extends org.osgi.resource.Requirement> requirements)

  Specified by:
    `findProviders` in interface `org.osgi.service.repository.Repository`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.